<%method h1>
<% $title %>
</%method>
%
<& control.mason, %ARGS  &>
%
% if (defined($box->sysadmins)) {
<p>The sysadmin group for this equipment is:
<a href="http://www.lookup.cam.ac.uk/group/<% $box->sysadmins %>/">
  <% $box->sysadmins %></a></p>
% }
% if ($box->sysadmin_is($r->user)) {
    <p>You are a sysadmin of this equipment.</p>
%   if (defined($box->console)) {
      <p><a href="<% $box->console %>">Console access</a></p>
%   }
% }

<h2>Power management</h2>

<& outlettable.mason, outlet => \@thing &>
%
% if (grep $_->can('getcurrent'), @thing) {
<& graphs.mason, target => \@thing, moregraphs => $moregraphs &>
% }

<%args>
$boxname
$moregraphs => 0
</%args>
<%shared>
my $title = $m->request_args->{boxname};
</%shared>
<%once>
use Ucam::Infra::Box;
use Ucam::Infra::PDU::Outlet;
</%once>
<%init>
my $box = Ucam::Infra::Box->retrieve($boxname);
unless (defined $box) {
    $m->clear_buffer;
    $m->abort(404);
}
my @thing;
push @thing, Ucam::Infra::PDU::Outlet->find($boxname);
</%init>
